%global momorel 1

Summary: quick-lounge-applet
Name: quick-lounge-applet
Version: 2.14.0
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.14/%{name}-%{version}.tar.bz2
Nosource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Prereq: GConf
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: glib-devel >= 2.18.1
BuildPrereq: gtk2-devel >= 2.14.3
BuildPrereq: libgnome-devel >= 2.24.1
BuildPrereq: libgnomeui-devel >= 2.24.0
BuildPrereq: gnome-desktop-devel >= 2.25.90
BuildPrereq: gnome-vfs-devel >= 2.24.0
BuildPrereq: libglade-devel >= 2.6.3
BuildPrereq: gnome-panel-devel >= 2.24.0

%description
quick-lounge-applet

%prep
%setup -q

%build
%configure \
    --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/quick-lounge.schemas \
    > /dev/null || :

gtk-update-icon-cache -q -f -t /usr/share/icons/hicolor


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/quick-lounge.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/quick-lounge.schemas \
	> /dev/null || :
fi

%files 
%defattr(-, root, root)
%doc README ChangeLog AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/quick-lounge.schemas
%{_libexecdir}/quick-lounge-applet
%{_libdir}/bonobo/servers/GNOME_QuickLoungeApplet_Factory.server
%{_datadir}/gnome-2.0/ui/GNOME_QuickLoungeApplet.xml
%{_datadir}/quick-lounge-applet
%{_datadir}/locale/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/gnome/help/quick-lounge

%changelog
* Thu Apr 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-1m)
- update to 2.14.0

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.13.1-1m)
- update to 2.13.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.12.5-2m)
- rebuild against rpm-4.6

* Sat Oct  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.5-1m)
- update to 2.12.5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.1-6m)
- rebuild against gcc43

* Mon Oct 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.1-5m)
- delete libtool library

* Thu May 18 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.1-4m)
- add localedir at makeinstall

* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.1-3m)
- add Patch14: quick-lounge-applet-2.0.1-gcc34.patch
  reported by Hiromasa YOSHIMOTO [Momonga-devel.ja:02823]

* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (2.0.1-2m)
- rebuild against new environment.

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.1-1m)
- version 2.0.1

* Tue Jul 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.0-1m)
- version 2.0.0

* Fri Jun 27 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.4-1m)
- version 1.1.4

